Skip to main content
GET
/
api
/
v2
/
emails
List email
curl --request GET \
  --url https://api.instantly.ai/api/v2/emails \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "019cc043-af69-762b-a7a0-0be46f0d941c",
      "timestamp_created": "2026-03-05T23:09:47.241Z",
      "timestamp_email": "2026-03-05T23:09:47.241Z",
      "message_id": "<example123@mail.gmail.com>",
      "subject": "Re: Your inquiry",
      "to_address_email_list": "recipient@example.com",
      "body": {
        "text": "This is a test email",
        "html": "<p>This is a test email</p>"
      },
      "organization_id": "019cc043-af69-762b-a7a0-0be565ea00e4",
      "eaccount": "eaccount-123",
      "from_address_email": "sender@example.com",
      "cc_address_email_list": "cc@example.com",
      "bcc_address_email_list": "bcc@example.com",
      "reply_to": "replyto@example.com",
      "campaign_id": "019cc043-af69-762b-a7a0-0be61e566b5d",
      "subsequence_id": "019cc043-af69-762b-a7a0-0be77dbe4eca",
      "list_id": "019cc043-af69-762b-a7a0-0be8fad733ac",
      "lead": "jondoe@example.com",
      "lead_id": "019cc043-af69-762b-a7a0-0be97e6159ef",
      "ue_type": 3,
      "step": "step-123",
      "is_unread": 1,
      "is_auto_reply": 0,
      "reminder_ts": "2026-03-05T23:09:47.241Z",
      "ai_interest_value": 0.75,
      "ai_assisted": 1,
      "is_focused": 1,
      "i_status": 0,
      "thread_id": "019cc043-af69-762b-a7a0-0bea911fd846",
      "content_preview": "This is a preview of the email content.",
      "attachment_json": {
        "files": [
          {
            "filename": "attachment",
            "size": 1927,
            "type": "text/css",
            "url": "https://cdn.instantly.ai/example-attachment/",
            "error": null
          }
        ]
      },
      "from_address_json": "<array>",
      "to_address_json": "<array>",
      "cc_address_json": "<array>",
      "ai_agent_id": "019cc043-af69-762b-a7a0-0bebb671c59c"
    }
  ],
  "next_starting_after": "019cc043-e35b-7230-83e9-9c0d5b186617"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

The number of items to return

Required range: 1 <= x <= 100
Example:

10

starting_after
string

The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.

Example:

"01956fbd-0eb1-72db-a565-82977a586084"

The search query to filter emails. It can be an email address (the lead email address), or a special string that starts with "thread:" to search for emails in a specific thread. If you want to search for emails in a specific thread, use the "thread:" prefix followed by the thread ID (e.g., "thread:123e4567-e89b-12d3-a456-426614174000").

Example:

"search term"

campaign_id
string<uuid>

The ID of the campaign to filter emails by.

Example:

"123e4567-e89b-12d3-a456-426614174000"

list_id
string<uuid>

The ID of the lead list to filter emails by.

Example:

"123e4567-e89b-12d3-a456-426614174000"

i_status
number

The status of the emails to filter by.

Example:

1

eaccount
string

The email account that was used to send this email. You can filter by multiple email accounts by providing a comma-separated list of email addresses.

Example:

"jon@example.com"

is_unread
boolean

Whether the email is unread.

Example:

true

has_reminder
boolean
Example:

true

mode
enum<string>

The mode to filter emails by.

Available options:
emode_focused,
emode_others,
emode_all
Example:

"emode_focused"

preview_only
boolean

Whether to only return the preview of the emails.

Example:

true

sort_order
enum<string>

The order to sort the emails by (based on the email creation date). Default is "desc".

Available options:
asc,
desc
Example:

"asc"

scheduled_only
boolean

Whether to only return the scheduled emails.

Example:

true

assigned_to
string

The ID of the user to filter emails by.

Example:

"123e4567-e89b-12d3-a456-426614174000"

lead
string

The email of the lead to filter emails by.

Example:

"jondoe@example.com"

company_domain
string

The domain of the company to filter emails by.

Example:

"example.com"

marked_as_done
boolean

Whether the email is marked as done.

Example:

true

email_type
enum<string>

The type of the email to filter by.

Available options:
received,
sent,
manual
Example:

"received"

min_timestamp_created
string

Filter emails created after this timestamp (ISO format)

Example:

"2026-03-05T23:10:00.539Z"

max_timestamp_created
string

Filter emails created before this timestamp (ISO format)

Example:

"2026-03-05T23:10:00.539Z"

Response

The list of Email

items
Email · object[]
required

The list of Email

next_starting_after
string

The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API

Example:

"019cc043-e35b-7230-83e9-9c0d5b186617"